#pragma once


#include <afxdb.h> 


class CDatabaseManager
{
public:
	CDatabaseManager(const CString& host, const CString& db, const CString& user, const CString& pwd);
	~CDatabaseManager();

	bool			IsOpen();
	bool			Execute(const CString& operation, bool silent=true);
	CRecordset*		Query(const CString &query);

private:
	CDatabase m_db;
};
